Package: io.vertx.groovy.ext.web

## [Groovy] Class FileUpload

- io.vertx.groovy.ext.web.FileUpload

- Represents a file-upload from an HTTP multipart form submission.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileUpload (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `charSet()` @return the charset of the upload
    `java.lang.String` | `contentTransferEncoding()` @return the content transfer encoding of the upload - this describes how the upload was encoded in the form submission.
    `java.lang.String` | `contentType()` @return the content type (MIME type) of the upload
    `java.lang.String` | `fileName()` @return the file name of the upload as provided in the form submission
    `java.lang.Object` | `getDelegate()`
    `java.lang.String` | `name()` @return the name of the upload as provided in the form submission
    `long` | `size()` @return the size of the upload, in bytes
    `java.lang.String` | `uploadedFileName()` @return the actual temporary file name on the server where the file was uploaded to.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### FileUpload(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.String charSet()

      Returns:
        the charset of the upload

    - #### java.lang.String contentTransferEncoding()

      Returns:
        the content transfer encoding of the upload - this describes how the upload was encoded in the form submission.

    - #### java.lang.String contentType()

      Returns:
        the content type (MIME type) of the upload

    - #### java.lang.String fileName()

      Returns:
        the file name of the upload as provided in the form submission

    - #### java.lang.Object getDelegate()

    - #### java.lang.String name()

      Returns:
        the name of the upload as provided in the form submission

    - #### long size()

      Returns:
        the size of the upload, in bytes

    - #### java.lang.String uploadedFileName()

      Returns:
        the actual temporary file name on the server where the file was uploaded to.